=== debian/changelog ===
libsgmls-perl (1.03ii-36) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Mark sgmls{pl,-doc} with Multi-Arch: foreign. (Closes: #840076)

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Oct 2016 15:12:29 +0200

libsgmls-perl (1.03ii-35) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Simplify BTS URL.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Use (file-)rename instead of (p)rename. (Closes: #825633)
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 May 2016 18:19:19 +0200

libsgmls-perl (1.03ii-34) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * debian/copyright: Update Ian Jackson's e-mail address. Issue reported
    by DUCK.

  [ gregor herrmann ]
  * debian/control: change "Depends: sp" to "Suggests: opensp | sp".
    sp is replaced by opensp, and the package doesn't actually use it, it just
    can process its output.
    Additionally, mention onsgmls in debian/control, and add patch to mention
    onsgmls in the docs.
    Thanks to Neil Roeth for the bug report. (Closes: #804941)
  * Mark package as autopkgtest-able.
  * Revert "Change search.cpan.org based URIs to metacpan.org based URIs".
    MetaCPAN doesn't know about this distribution, go back to
    search.cpan.org.
  * Declare compliance with Debian Policy 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Fri, 13 Nov 2015 17:43:28 +0100

libsgmls-perl (1.03ii-33) unstable; urgency=low

  [ Nicholas Bamber ]
  * Changed ownership to Debian Perl Group
  * Created debian/source/format
  * Updated home page and Vcs fields (Closes: #528292)
  * Removed duplicate section and priority fields from binary stanzas
  * Refreshed depends: adding ${misc:Depends}, removing Conflicts etc.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Migrate d/copyright to machine-readable format
  * Bump debhelper version to 8
  * Add myself to uploaders
  * Bump standards version to 3.9.5
  * Move sp to depends and split all depends to one-per-line
  * {Output|SGMLS}.pm - Revert changes to upstream source
  * sgmlspl - This file was simply a duplicate of sgmlspl.pl, remove from
    source to remove upstream source modifications, this is now handled by
    debian/rules
  * sgmlspl.pl - Revert changes to upstream source and create patch
  * sgmlspl.1 - Revert changes to upstream source and create patch
  * Makefile.PL - Revert changes to upstream source and create patch
  * Makefile - Revert changes to upstream source and create patch
  * Refs.pm - Revert changes to upstream source and create patch
  * Add patch to fix errors with POD
  * Update sgmls-doc long description
  * Change doc-base document id to lower case

 -- Daniel Lintott <daniel@serverb.co.uk>  Fri, 11 Apr 2014 11:33:25 +0100

libsgmls-perl (1.03ii-32) unstable; urgency=low

  * Refs.pm: fixed typo
    (closes: Bug#414110)
  * debian/compat: bumped version to 5
  * debian/control:
    * moved debhelper from 'Build-Depends-Indep' to 'Build-Depends'
      (detected by lintian)
    * changed build dependency on 'debhelper' to '(>= 5.0)'
    * upgraded to Debian Policy 3.7.3 (no changes)
    * added Vcs-Browser and Vcs-Cvs fields
  * debian/watch: bumped version to 3
  * debian/copyright: updated FSF address
    (detected by lintian)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 04 Jan 2008 10:48:06 -0600

libsgmls-perl (1.03ii-31) unstable; urgency=low

  * Added 'debian/watch'
  * debiam/rules: various small improvements

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 24 Nov 2004 12:23:21 -0600

libsgmls-perl (1.03ii-30) unstable; urgency=low

  * Makefile: commented out documentation clean
    (closes: Bug#240645)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 28 Mar 2004 10:29:33 -0600

libsgmls-perl (1.03ii-29) unstable; urgency=low

  * debian/control: changed maintainer's email address to the new Debian
    XML/SGML Group's packages mailing list

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 10:48:45 -0600

libsgmls-perl (1.03ii-28) unstable; urgency=low

  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-devel@lists.alioth.debian.org>' and added current
    maintainer as 'Uploader'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 22 Feb 2004 19:38:41 -0600

libsgmls-perl (1.03ii-27) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  7 Feb 2004 22:31:22 -0600

libsgmls-perl (1.03ii-26) unstable; urgency=low

  * Fixed missing documentation
    (closes: Bug#226085)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Jan 2004 10:56:51 -0600

libsgmls-perl (1.03ii-25) unstable; urgency=low

  * sgmlspl.1: fixed references to HTML documentation
    (closes: Bug#202985)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 26 Jul 2003 23:06:50 -0500

libsgmls-perl (1.03ii-24) unstable; urgency=low

  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: updated sections according to latest archive changes:
    - 'libsgmls-perl' from 'text' to 'perl'
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 26 Jul 2003 22:15:48 -0500

